using System;
using System.Collections.Generic;
using System.Data;
using Library;
using LitJson;

namespace MySystem
{
    public class ReceiveTaskService
    {
        public readonly static ReceiveTaskService Instance = new ReceiveTaskService();
        private ReceiveTaskService()
        { }

        public void Start(JobMqMsg jobInfo)
        {
            string content = "";
            try
            {
                string OrderString = jobInfo.OrderString;
                // string Msg = "success";
                if (OrderString.StartsWith("Ap:") && OrderString.EndsWith(":Sycn"))
                {
                    string Table = OrderString.Split(':')[1];
                    PublicTableHelper.Instance.Start(Table);
                }
                // jobInfo.Status = Msg == "success" ? 1 : 0;
                // jobInfo.Msg = Msg == "success" ? "执行完成" : Msg;
                // RabbitMQClient.Instance.SendMsg(Newtonsoft.Json.JsonConvert.SerializeObject(jobInfo), "PublicBack");
            }
            catch (Exception ex)
            {
                if (!string.IsNullOrEmpty(content))
                {
                    Dictionary<string, string> data = new Dictionary<string, string>();
                    data.Add("ErrTime", DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss"));
                    data.Add("ErrMsg", ex.ToString());
                    LogHelper.Instance.WriteLog(Newtonsoft.Json.JsonConvert.SerializeObject(data), "public_err");
                }
                else
                {
                    LogHelper.Instance.WriteLog(DateTime.Now.ToString() + ":" + ex.ToString(), "public_service");
                }
            }
        }
    }
}